# TileOS
### Modern Linux distribution based on Debian.

[Mastodon](https://mastodon.social/@tile_os) | [Telegram](https://t.me/tile_os)

TileOS is a modern Linux distribution based on Debian GNU/Linux Stable and using tiling window managers as its user interface. TileOS is perfect for both beginners who want to try tiling window manager environments and experienced Linux users who want a stable, comfortable and flexible keyboard-oriented user environment.

<img align="left-center" src="sway.png" width="500" height="255">
<img align="right-center" src="river.png" width="500" height="255">

Some of the features:

- Stable and solid Debian base with some packages backported from Debian Testing;
- Fully pre-configured desktop based on a tiling window manager (or Wayland compositor);
- Fresh and stable graphics drivers (Mesa) backported from Debian Testing;
- Many device drivers and non-free firmwares are included in the base system;
- Included some performance optimizations as well as some system tweaks ([see](https://gitlab.com/tile-os/tileos-system-adjustments));
- Included additional repositories for installing programs not found in Debian, such as OnlyOffice, VirtualBox, Librewolf, Visual Studio Code and Brave;
- Ability to install additional software in the Calamares installer.

[Download development builds](https://downloads.tile-os.com/t-rex/testing/)

### Development

Development is currently focused on the TileOS [Sway](https://github.com/swaywm/sway) (which is the flagship edition) and [River](https://github.com/riverwm/river) editions. In the future, it is planned to add editions with the [Qtile](https://qtile.org/) (on Wayland), [Hyprland](https://hyprland.org/), [SwayFX](https://github.com/WillPower3309/swayfx), [i3](https://github.com/i3/i3) and [Bspwm](https://github.com/baskerville/bspwm) window managers. TileOS is a universal base for creating a distribution edition with any tiling window manager. Instructions on how to get started and submit your own TileOS flavor will be posted at a later date.

#### Project structure:

- [Packages repository](https://repo.tile-os.com/)
- [Installer settings for Sway edition](https://gitlab.com/tile-os/calamares-settings-tileos-sway)
- [Installer settings for River edition](https://gitlab.com/tile-os/calamares-settings-tileos-river)
- [Default settings for Sway edition](https://gitlab.com/tile-os/tileos-settings-sway)
- [Default settings for River edition](https://gitlab.com/tile-os/tileos-settings-river)
- [Artwork (themes, wallpapers)](https://gitlab.com/tile-os/tileos-artwork)
- [System tweaks](https://gitlab.com/tile-os/tileos-system-adjustments)
- [Metapackages](https://gitlab.com/tile-os/tileos-meta)
- [ISO builder](https://gitlab.com/tile-os/iso-builder)

#### How to build
See build instructions in [ISO builder](https://gitlab.com/tile-os/iso-builder) page.